
Redmine - Feature #10664

Unsubscribe Own User Account

2012-04-14 12:32 - Christopher Mann

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 1.4.1   

Resolution: Fixed   

Description

A user should be able to unsubscribe or request opting out.

A tester put it very well:

Now we have an interesting problem: if a person registers, how does he unregister?  In particular, how do I cancel the access

by the network to my personal email. I searched the Redmine site in vain for an answer to this question.  To me the right to quit

is as important as the right to enter. For any mailing list, "Unsubscribe" is a legal obligation.  I suspect that there is no such

obligation for a social network.

Related issues:

Related to Redmine - Patch #10671: Bulgarian translation (r9423) Closed

Related to Redmine - Patch #10693: German Translation Update (unsubscribe + x) Closed

Associated revisions

Revision 9417 - 2012-04-15 16:31 - Jean-Philippe Lang

Adds the ability for users to delete their own account (#10664). Can be disabled in application settings.

Revision 9424 - 2012-04-16 10:05 - Toshi MARUYAMA

Bulgarian translation updated by Ivan Cenov (#10671, #10664)

Revision 9426 - 2012-04-18 01:47 - Toshi MARUYAMA

German translation for #10664 updated by Hannes Meier (#10693)

Revision 9433 - 2012-04-18 15:15 - Toshi MARUYAMA

fix typo of German "text_account_destroy_confirmation" (#10693, #10664)

Revision 9444 - 2012-04-19 09:25 - Jean-Philippe Lang

Updated ru and uk locales (#10664).

Revision 9455 - 2012-04-20 09:45 - Jean-Philippe Lang

Merged r9417 from trunk (#10664).

Revision 9458 - 2012-04-20 10:33 - Toshi MARUYAMA

Merged r9444 from trunk (#10664)

Updated ru and uk locales.

History

#1 - 2012-04-14 22:43 - Jean-Philippe Lang

- Target version set to 45

#2 - 2012-04-15 16:33 - Jean-Philippe Lang

- Category set to Accounts / authentication
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from 45 to 1.4.1

Feature added in r9417.

#3 - 2012-04-17 14:49 - Dmitry Babenko

Russian translations for new labels (config/locales/ru.yml):

  notice_account_deleted: "Ваша учетная запись полностью удалена" 

  setting_unsubscribe: "Разрешить пользователям удалять свои учетные записи" 

  button_delete_my_account: "Удалить мою учетную запись" 

  text_account_destroy_confirmation: "Ваша учетная запись будет полностью удалена без возможности восстановлен

ия.\nВы уверены, что хотите продолжить?" 

 Ukrainian translations for new labels (config/locales/uk.yml):

  notice_account_deleted: "Ваш обліковій запис повністю видалений" 

  setting_unsubscribe: "Дозволити користувачам видаляти свої облікові записи" 

  button_delete_my_account: "Видалити мій обліковий запис" 

  text_account_destroy_confirmation: "Ваш обліковий запис буде повністю видалений без можливості відновлення.\

nВи певні, что бажаете продовжити?" 

#4 - 2012-04-19 09:25 - Jean-Philippe Lang

Changes for ru and uk locales are committed, thanks.

#5 - 2012-04-20 10:11 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed

Feature and translation updates merged in 1.4-stable.
